Name:		isodumper
Version:	0.20
Release:	%mkrel 0.3
Summary:	Tool for writing ISO images on a USB stick
Summary(fr_FR):	Outil pour écrire des images ISO sur une clé USB
License:	GPLv2
Group:		System/Configuration
URL:		https://github.com/papoteur-mga/isodumper
# wget https://github.com/papoteur-mga/isodumper/archive/%%{version}.tar.gz -O %%{name}-%%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	imagemagick
BuildRequires:	intltool

Requires:	coreutils
Requires:	pango
Requires:	polkit
Requires:	procps
Requires:	pygtk2.0-libglade
Requires:	python
Requires:	udisks
Requires:	usermode-consoleonly
Requires:	xterm

%description
A GUI tool for writing ISO images on a USB stick.
It's a fork of usb-imagewriter.

This software is written in python.

%description -l fr_FR
Un outil graphique pour écrire des images ISO sur une clé USB.
C'est un fork de usb-imagewriter

Ce logiciel est écrit en python.

#--------------------------------------------------------------------
%prep
%setup -q

%build
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_sbindir}/%{name}
# Adjust for console-helper magic
pushd %{buildroot}%{_bindir}
ln -s consolehelper %{name}
popd

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING CHANGELOG
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_libexecdir}/%{name}
%{_usr}/lib/%{name}/
%{_datadir}/%{name}/
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/*/%{name}.png


%changelog
* Thu Jan 30 2014 david.david (MLO Team) <david.david> 0.20-0.3.mga3
+ version: 0.20
- update new tarball
- added English (United Kingdom) translations

* Fri Jan 10 2014 david.david (MLO Team) <david.david> 0.20-0.2.mga3
+ version: 0.20
- fix Danish translations on a translation string (#: share/isodumper/isodumper.glade.h:22)
- fix an error space on a translation string (#: lib/isodumper.py:270)

+ Thanks for Papoteur for his great job

* Thu Jan 09 2014 david.david (MLO Team) <david.david> 0.20-0.1.mga3
+ new version: 0.20
- added function to backup the content of the device before overwriting.
- added Release number in the window title (on isodumper.py).
- use mageia polkit policy instead of usermode. (Thanks to Colin Guthrie)
- replace all windows icons to icon isodumper.
- added and update Makefile for polkit file translation. (Thanks to Yuri Chornoivan)
- improvement po-update.sh script for translations (extract or merge polkit and desktop files translations).
- added and update Estonian, Danish, Czech and Greek translations.
- updated  de,fr,id,ro,sl,sv,zh_TW,tr,uk,pt_BR,ru,ro,es,it and pl translations.

+ Thanks for Papoteur for his great job

* Mon Dec 09 2013 david.david (MLO Team) <david.david> 0.13-0.2.mga3
+ new version: 0.13
- added and update Polish and German translations.
- updated Dutch and Italian translations.
- added a Makefile file for build package.
- added a pixmaps icons.
- usermode-consoleonly is not a BuildRequires, but it is a Requires package.
- improvement po-update.sh script for translations.
- added Release number in the window title.

+ Thanks for Papoteur for his great job

* Sat Nov 23 2013 david.david (MLO Team) <david.david> 0.12-0.1.mga3
+ new version: 0.12
- correction of bugs in the device name and in the dialog box loops
- added a catch of writing error

+ Thanks for Papoteur for his great job

* Thu Nov 21 2013 david.david (MLO Team) <david.david> 0.11-0.1.mga3
+ new version: 0.11
- added check for the size of the destination device
- added a button to retry in the no_device dialog box
- added a dialog box for devices with a size of 32 GB and more
- added and update Swedish, Chinese, Brazilian Portuguese, Indonesian and Romanian translations
- updated Ukrainian, Russian, Slovenian, Spanish, Turkish Translations

+ Thanks for Papoteur for his great job

* Sat Oct 12 2013 david.david (MLO Team) <david.david> 0.10-0.1.mga3
+ new version: 0.10
- added some translations

+ Thanks for Papoteur for his great job

* Sun Sep 22 2013 david.david (MLO Team) <david.david> 0.1-0.3.mga3
+ Build package for Mageia 3 (Core)
- imported package isodumper
- initial version: 0.1


+ Thanks for Papoteur for his great job